Subject: bug#19681: [PATCH] sync: use syncfs(2) if any argument is specified

From: Paul Eggert <[email-masked]>
Date: Sun, 25 Jan 2015 09:28:34 -0800

Giuseppe Scrivano wrote:
> Should we instead add something like --file-system and
> --data-only, respectively for syncfs and fdatasync and use fsync if no
> option is specified?

Yes, thanks, that sounds reasonable.  I suggest --data rather than --data-only, 
as fdatasync is allowed to synchronize metadata and "--data-only" implies 
otherwise.